Package cds.healpix

# Interface HealpixNestedFixedRadiusConeComputer

public interface HealpixNestedFixedRadiusConeComputer
The idea of this interface is to avoid making multiple time the same operations (like selecting the optimal starting depth) in case of fixed radius cross-match.

Author:
  F.-X. Pineau

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`HealpixNestedFixedRadiusConeComputer.ReturnedCells`

## Method Summary

Modifier and Type
Method
Description
`double`
`getRadius()`
Returns the radius of the cones, in radians.
`HealpixNestedFixedRadiusConeComputer`
`newComputer()`
To obtain new instances in case we want to use multi-threading, since an object is possibly not thread-safe.
`HealpixNestedBMOC`
`overlappingCells(double coneCenterLonRad, double coneCenterLatRad)`
MOC of the cells having a part of their surface area in common with the given cone
`HealpixNestedBMOC`
`overlappingCells(double coneCenterLonRad, double coneCenterLatRad, HealpixNestedFixedRadiusConeComputer.ReturnedCells returnedCells)`
Conveniency method to have a simgle entry point for the various possible cells-in-cone outputs.
`HealpixNestedBMOC`
`overlappingCenters(double coneCenterLonRad, double coneCenterLatRad)`
MOC of the cells which centers lie inside the given cone.

## Method Details

### getRadius

double getRadius()
Returns the radius of the cones, in radians.

Returns:
  he radius of the cones, in radians.

### overlappingCells

HealpixNestedBMOC overlappingCells(double coneCenterLonRad, double coneCenterLatRad)
MOC of the cells having a part of their surface area in common with the given cone

Parameters:
  `coneCenterLonRad` - longitude of the center of the cone, in radians
  `coneCenterLatRad` - latitude of the center of the cone, in radians
Returns:
  the resulting MOC.

### overlappingCenters

HealpixNestedBMOC overlappingCenters(double coneCenterLonRad, double coneCenterLatRad)
MOC of the cells which centers lie inside the given cone.

Parameters:
  `coneCenterLonRad` - longitude of the center of the cone, in radians
  `coneCenterLatRad` - latitude of the center of the cone, in radians
Returns:
  the resulting MOC.

### overlappingCells

HealpixNestedBMOC overlappingCells(double coneCenterLonRad, double coneCenterLatRad, HealpixNestedFixedRadiusConeComputer.ReturnedCells returnedCells)
Conveniency method to have a simgle entry point for the various possible cells-in-cone outputs. Remark: in the case of FULL_IN, we could have returned a simple MOC.

Parameters:
  `coneCenterLonRad` - longitude of the center of the cone, in radians
  `coneCenterLatRad` - latitude of the center of the cone, in radians
  `returnedCells` - the type of cells we want in output
Returns:
  the resulting MOC.

### newComputer

HealpixNestedFixedRadiusConeComputer newComputer()
To obtain new instances in case we want to use multi-threading, since an object is possibly not thread-safe. If the objectis thread-safe, the method can simply return `this`.

Returns:
  a new instance of `HealpixNestedFixedRadiusConeComputer`.